org.jboss.netty.handler.codec.http.multipart

## Class InternalAttribute

- java.lang.Object
- - org.jboss.netty.handler.codec.http.multipart.InternalAttribute

All Implemented Interfaces:
  Comparable<InterfaceHttpData>, InterfaceHttpData

    public class InternalAttribute
    extends Object
    implements InterfaceHttpData

This Attribute is only for Encoder use to insert special command between object if needed (like Multipart Mixed mode)

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`InterfaceHttpData.HttpDataType`

### Field Summary

Fields
`protected List<String>` `value`

### Constructor Summary

Constructors
Constructor and Description
`InternalAttribute()`

### Method Summary

Methods
`void` `addValue(String value)`
`void` `addValue(String value, int rank)`
`int` `compareTo(InterfaceHttpData arg0)`
`int` `compareTo(InternalAttribute o)`
`boolean` `equals(Object o)`
`InterfaceHttpData.HttpDataType` `getHttpDataType()`
`String` `getName()` Returns the name of this InterfaceHttpData.
`List<String>` `getValue()`
`int` `hashCode()`
`void` `setValue(String value, int rank)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### value

    protected List<String> value

### Constructor Detail

#### InternalAttribute

    public InternalAttribute()

### Method Detail

#### getHttpDataType

    public InterfaceHttpData.HttpDataType getHttpDataType()

Specified by:
  `getHttpDataType` in interface `InterfaceHttpData`
Returns:
  The HttpDataType

#### getValue

    public List<String> getValue()

#### addValue

    public void addValue(String value)

#### addValue

    public void addValue(String value,
                int rank)

#### setValue

    public void setValue(String value,
                int rank)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(InterfaceHttpData arg0)

Specified by:
  `compareTo` in interface `Comparable<InterfaceHttpData>`

#### compareTo

    public int compareTo(InternalAttribute o)

#### size

    public int size()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getName

    public String getName()

Description copied from interface: `InterfaceHttpData`
Returns the name of this InterfaceHttpData.

Specified by:
  `getName` in interface `InterfaceHttpData`